
import 'dart:convert';

import 'waiting_line_item.dart';

class WaitingLine {
  List<WaitingLineItem>? waitingLines;
  String? storeSn;

  WaitingLine.fromJson(Map<String, dynamic> json)
    : waitingLines = (json['waiting_lines'] as List).map((i) => WaitingLineItem.fromJson(i)).toList(),
      storeSn = json['store_sn'];

  Map<String, dynamic> toJson() => {
    'waiting_lines': waitingLines,
    'store_sn': storeSn
  };

  @override
  String toString() {
    return json.encode(this);
  }
}